EDIT - feature request #9521

Fallback areas in textual representation should always stand alone
03/06/2021 12:57 PM - Andreas Mdller

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Muller % Done: 100%
Category: cdmlib Estimated time: 0:00 hour
Target version: Release 5.21

Severity: normal

Description

Related issues:

Related to EDIT - bug #8297: Fix condensed distribution string for E+M Closed
Related to EDIT - bug #7107: "Omit level" (TDWG Level2) in distribution hiera... Discussed
Related to EDIT - feature request #9502: Implement subarea preference rule an... Resolved
Related to EDIT - feature request #9503: Handle term tree of areas and distri... Closed

Associated revisions

Revision a04aa53a - 03/06/2021 12:58 PM - Andreas Miiller

ref #9521 fallback areas should not appear in textual hierarchy anymore

Revision ¢160c389 - 03/06/2021 01:12 PM - Andreas Miiller

ref #9521 fallback areas should not appear in textual hierarchy anymore (cont.)

Revision 6e509e8f - 03/06/2021 03:39 PM - Andreas Miiller

ref #9521 handle exception in controller

Revision 71abfebc - 03/06/2021 03:41 PM - Andreas Miiller

ref #9521 handle exception in controller (cont.)

Revision ad034f89 - 03/06/2021 05:51 PM - Andreas Miiller
ref #9521 fix CCE caused by proxy object

Revision 1eba812b - 03/06/2021 08:20 PM - Andreas Miiller

ref #9521 handle fallbackarea computation recursively

Revision 1d41d2cc - 03/06/2021 10:48 PM - Andreas Muller

ref #9521 handle fallbackarea computation recursively (cont.)

Revision ¢729e881 - 03/11/2021 10:10 AM - Andreas Miiller

ref #8297, ref #9521 test for recursive fallback area recognition in filterDistributions

History

#1 - 03/06/2021 01:50 PM - Andreas Miiller
- Status changed from New to Resolved

- Priority changed from New to Highest

Not yet implemented: show fallback areas only if they have sources (currently they are shown if there is an explicit record, which is not filtered by
"undefined")

#2 - 03/06/2021 01:51 PM - Andreas Miiller
- Related to bug #8297: Fix condensed distribution string for E+M added
#3 - 03/06/2021 01:51 PM - Andreas Miiller

- Related to bug #7107: "Omit level” (TDWG Level2) in distribution hierarchy should not supress distributions source reference added

#4 - 03/06/2021 01:52 PM - Andreas Miiller

- Related to feature request #9502: Implement subarea preference rule and fallback areas for areas with complex hierarchy added

#5 - 03/06/2021 01:53 PM - Andreas Miiller

- Related to feature request #9503: Handle term tree of areas and distribution status for distributioninfo in dataportal added

#7 - 03/10/2021 02:29 PM - Andreas Miiller
- Status changed from Resolved to Closed

- % Done changed from 0 to 100

| close this we can reopen if something does not work.
